Name:           perl-Crypt-DES_EDE3
Version:        0.01
Release:    1%{?dist}
Summary:        Triple-DES EDE encryption/decryption module
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Crypt-DES_EDE3
Source0:        https://cpan.metacpan.org/authors/id/B/BT/BTROTT/Crypt-DES_EDE3-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(Crypt::DES)
BuildRequires:  perl(vars)
BuildRequires:  perl(Test)

%description
This is Crypt::DES_EDE3, a module implementing Triple-DES EDE
(encrypt-decrypt-encrypt) encryption and decryption.

%prep
%setup -q -n Crypt-DES_EDE3-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.01-1
- initial build
